Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network237.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
237.0.0.0
Broadcast address
237.255.255.255
First usable
237.0.0.1
Last usable
237.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex ED000000 · Integer 3976200192 to 3992977407
Reverse DNS zone
237.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101101..00000000.00000000.00000000237.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11101101..00000000.00000000.00000000237.0.0.0
Broadcast11101101..11111111.11111111.11111111237.255.255.255
Split into smaller subnets/14

237.0.0.0/8 makes 64 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1237.0.0.0/14237.0.0.1 to 237.3.255.254237.3.255.255262,142
2237.4.0.0/14237.4.0.1 to 237.7.255.254237.7.255.255262,142
3237.8.0.0/14237.8.0.1 to 237.11.255.254237.11.255.255262,142
4237.12.0.0/14237.12.0.1 to 237.15.255.254237.15.255.255262,142
5237.16.0.0/14237.16.0.1 to 237.19.255.254237.19.255.255262,142
6237.20.0.0/14237.20.0.1 to 237.23.255.254237.23.255.255262,142
7237.24.0.0/14237.24.0.1 to 237.27.255.254237.27.255.255262,142
8237.28.0.0/14237.28.0.1 to 237.31.255.254237.31.255.255262,142
9237.32.0.0/14237.32.0.1 to 237.35.255.254237.35.255.255262,142
10237.36.0.0/14237.36.0.1 to 237.39.255.254237.39.255.255262,142
11237.40.0.0/14237.40.0.1 to 237.43.255.254237.43.255.255262,142
12237.44.0.0/14237.44.0.1 to 237.47.255.254237.47.255.255262,142
13237.48.0.0/14237.48.0.1 to 237.51.255.254237.51.255.255262,142
14237.52.0.0/14237.52.0.1 to 237.55.255.254237.55.255.255262,142
15237.56.0.0/14237.56.0.1 to 237.59.255.254237.59.255.255262,142
16237.60.0.0/14237.60.0.1 to 237.63.255.254237.63.255.255262,142
17237.64.0.0/14237.64.0.1 to 237.67.255.254237.67.255.255262,142
18237.68.0.0/14237.68.0.1 to 237.71.255.254237.71.255.255262,142
19237.72.0.0/14237.72.0.1 to 237.75.255.254237.75.255.255262,142
20237.76.0.0/14237.76.0.1 to 237.79.255.254237.79.255.255262,142
21237.80.0.0/14237.80.0.1 to 237.83.255.254237.83.255.255262,142
22237.84.0.0/14237.84.0.1 to 237.87.255.254237.87.255.255262,142
23237.88.0.0/14237.88.0.1 to 237.91.255.254237.91.255.255262,142
24237.92.0.0/14237.92.0.1 to 237.95.255.254237.95.255.255262,142
25237.96.0.0/14237.96.0.1 to 237.99.255.254237.99.255.255262,142
26237.100.0.0/14237.100.0.1 to 237.103.255.254237.103.255.255262,142
27237.104.0.0/14237.104.0.1 to 237.107.255.254237.107.255.255262,142
28237.108.0.0/14237.108.0.1 to 237.111.255.254237.111.255.255262,142
29237.112.0.0/14237.112.0.1 to 237.115.255.254237.115.255.255262,142
30237.116.0.0/14237.116.0.1 to 237.119.255.254237.119.255.255262,142
31237.120.0.0/14237.120.0.1 to 237.123.255.254237.123.255.255262,142
32237.124.0.0/14237.124.0.1 to 237.127.255.254237.127.255.255262,142
33237.128.0.0/14237.128.0.1 to 237.131.255.254237.131.255.255262,142
34237.132.0.0/14237.132.0.1 to 237.135.255.254237.135.255.255262,142
35237.136.0.0/14237.136.0.1 to 237.139.255.254237.139.255.255262,142
36237.140.0.0/14237.140.0.1 to 237.143.255.254237.143.255.255262,142
37237.144.0.0/14237.144.0.1 to 237.147.255.254237.147.255.255262,142
38237.148.0.0/14237.148.0.1 to 237.151.255.254237.151.255.255262,142
39237.152.0.0/14237.152.0.1 to 237.155.255.254237.155.255.255262,142
40237.156.0.0/14237.156.0.1 to 237.159.255.254237.159.255.255262,142
41237.160.0.0/14237.160.0.1 to 237.163.255.254237.163.255.255262,142
42237.164.0.0/14237.164.0.1 to 237.167.255.254237.167.255.255262,142
43237.168.0.0/14237.168.0.1 to 237.171.255.254237.171.255.255262,142
44237.172.0.0/14237.172.0.1 to 237.175.255.254237.175.255.255262,142
45237.176.0.0/14237.176.0.1 to 237.179.255.254237.179.255.255262,142
46237.180.0.0/14237.180.0.1 to 237.183.255.254237.183.255.255262,142
47237.184.0.0/14237.184.0.1 to 237.187.255.254237.187.255.255262,142
48237.188.0.0/14237.188.0.1 to 237.191.255.254237.191.255.255262,142
49237.192.0.0/14237.192.0.1 to 237.195.255.254237.195.255.255262,142
50237.196.0.0/14237.196.0.1 to 237.199.255.254237.199.255.255262,142
51237.200.0.0/14237.200.0.1 to 237.203.255.254237.203.255.255262,142
52237.204.0.0/14237.204.0.1 to 237.207.255.254237.207.255.255262,142
53237.208.0.0/14237.208.0.1 to 237.211.255.254237.211.255.255262,142
54237.212.0.0/14237.212.0.1 to 237.215.255.254237.215.255.255262,142
55237.216.0.0/14237.216.0.1 to 237.219.255.254237.219.255.255262,142
56237.220.0.0/14237.220.0.1 to 237.223.255.254237.223.255.255262,142
57237.224.0.0/14237.224.0.1 to 237.227.255.254237.227.255.255262,142
58237.228.0.0/14237.228.0.1 to 237.231.255.254237.231.255.255262,142
59237.232.0.0/14237.232.0.1 to 237.235.255.254237.235.255.255262,142
60237.236.0.0/14237.236.0.1 to 237.239.255.254237.239.255.255262,142
61237.240.0.0/14237.240.0.1 to 237.243.255.254237.243.255.255262,142
62237.244.0.0/14237.244.0.1 to 237.247.255.254237.247.255.255262,142
63237.248.0.0/14237.248.0.1 to 237.251.255.254237.251.255.255262,142
64237.252.0.0/14237.252.0.1 to 237.255.255.254237.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses